require "recipecode";
Recipe = Recipe or {};
Recipe.OnCreate = Recipe.OnCreate or {};

function Recipe.OnCreate.GetSaucepan(items, result, player)
    player:getInventory():AddItem("Base.Saucepan");
end

function Recipe.OnCreate.GetPot(items, result, player)
    player:getInventory():AddItem("Base.Pot");
end

function Recipe.OnGiveXP.Doctor5(recipe, ingredients, result, player)
    player:getXp():AddXP(Perks.Doctor, 5);
end

function Recipe.OnCreate.GetGranola(items, result, player)
    player:getInventory():AddItems("Base.GranolaBar", 6);
end

function Recipe.OnCreate.GetBottle(items, result, player)
    player:getInventory():AddItem("Base.WaterBottleEmpty");
end

function Recipe.GetItemTypes.SaltPacket(scriptItems)
    scriptItems:addAll(getScriptManager():getItemsTag("SaltPacket"));
	scriptItems:addAll(getScriptManager():getItemsTag("Salt"));
end
